/* RLV's CSS Document for the Vogel-Associates website */
/* start of div style info for forms */
div.form {
	width: 98%;
	background-color: #cc9; /* olive */
	color: #000000; /* default is black text */
	border: 1px dotted #333;
	padding: 1em; /* margin inside the box */
	margin: 0em auto; /* margin outside the box */
}
div.row {
/* sets up a pseudo-tabular row, (shaded to match form bgnd), for odd-numbered rows */
	background-color: #cc9; /* olive */
	color: #000000; /* default is black text */
	clear: both; /* this is supposed to extend the top margin enough so that the element is not obscured by other, previously encountered floating elements */
	padding-top: 0.3em;
	padding-bottom: 1em;
	width: 98%;
}
div.rowe {
/* adds row-shading for even-numbered rows */
	background-color: #9cc; /* sea-green */
	color: #000000; /* default is black text */
	clear: both;
	padding-top: 0.3em;
	padding-bottom: 1em;
	width: 98%;
}
div.rowh {
/* adds row-shading for heading rows */
	background-color: #0cc; /* aquamarine */
	color: #000000; /* default is black text */
	clear: both;
	padding-top: 1em;
	padding-bottom: 0.3em;
	width: 98%;
}
div span.labelr {
/* pseudocolumn for right-aligned field-labels */
	border: none;
	float: left;
	width: 50%;
}
div span.formr {
/* pseudocolumn for left-aligned text-input fields on right */
	border: none;
	float: right;
	width: 48%;
	text-align: left;
}
div span.labell {
/* pseudocolumn for left-aligned field-labels */
	border: none;
	float: left;
	width: 63%;
}
div span.forml {
/* pseudocolumn for left-aligned text-input fields on right */
	border: none;
	float: right;
	width: 35%;
}
div span.formmc {
/* pseudocolumn for MC choices - 5 of 'em! Pairs with labell */
	border: none;
	float: left;
	width: 7%;
}
/* end of block div styles */

/* start of table styles */
table {
	border-collapse: collapse;
	border: 0px;
}
td {
	vertical-align: top;
	padding: 1em;
	background-color: #d0d0ff; /* lavender */
	color: #000000; /* default is black text */
	border: solid #000000;
	border-top-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-left-width: 0px;
	font-size: 1em;
	font-style: normal;
	font-weight: normal;
}
/* end of table styles */
/* start of text style info */
body {
	padding: 1em; /* top, right, bottom, and left all set equally */
	color: #000000; /* black */
/* The named fonts are all Unicode compliant, ensuring that all symbols will be rendered as intended! */
	font-family: "Bookman Old Style", "Book Antiqua", "Century", "Century Schoolbook", "Times New Roman", serif !important;
	font-weight: bold;
	text-align: center;
	line-height: 125%;
}
h1, h2, h3, h4{
	background: rgba(0,204,204,0.4); /* semi-transparent aquamarine -- row-shading for heading rows */
	line-height: 300%;
	padding: 0.5em;
	font-size: 2em;
	color: #000000; /* default is black text */
	clear: both; /* no elements floated to either side */
	width: 98%;
}
h2{
	line-height: 260%;
	font-size: 1.5em;
}
h3{
	line-height: 220%;
	font-size: 1.2em;
}
h4{
	line-height: 180%;
	font-size: 1.0em;
}
p {
	padding: 0.2em 1em 0.2em 2em;
	max-width: 72em;
	font-weight: normal;
	/*font-size: 1em; *//* screws up in IE? omitting it seems to work OK...*/
	text-align: left;
}
ul {
	max-width: 30em;
	margin: 0px auto; /* in order to center the lines horizontally within the div */
}
li {
	text-align: left !important;
}
/* special text style classes */
.qr {
/* right-aligned query text */
	padding-right: 0em;
	font-weight: bold;
	text-align: right;
}
.qy {
/* query text */
	font-weight: bold;
}
.ans {
/* answer text */
	padding-left: 4em; /* padding is used to separate the answer from the question */
	font-weight: normal;
}
.mc {
/* multi-choice answer text */
	padding: 0em 1em 0.5em 4em;
	font-weight: normal;
}
.a {
	color: #ffffff; /* white text */
}

.c {
	text-align: center; /* centered text */
}

.d, .e {
/* 'Directory'-line styles (d is regular, e is right-aligned) */
	background-color: #404080; /* inky purple-blue */
	color: #ffffff; /* white text */
	border: 1px solid #000000;
	font-size: 14pt;
	font-family: "Papyrus", sans-serif !important;
	font-style: normal;
	font-weight: bold;
}
.h {
/* Headline style */
	background-color: #404080; /* inky purple-blue */
	color: #ffffff; /* white text */
	text-align: center;
	font-size: 18pt;
	font-style: normal;
	font-weight: bold;
}
.i {
	display: none; /* hidden items */
}

/* The following styles are used in table-text formatting. n, p and r apply to odd-numbered rows, and m, q and s to evens. */
.n, .s {/* Odd-numbered row styles (n is regular, s is right-aligned) */
	background-color: #d0d0ff; /* lavender */
	color: #000000; /* default is black text */
	padding-left: 3px;
	padding-right: 3px;
	white-space: nowrap;
	border: solid #000000; /* black border */
	border-top-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-left-width: 0px;
	font-size: 10pt;
	font-family: "Lucida Console", serif !important;
	font-style: normal;
	font-weight: normal;
}
.o, .m, .r {/* Even-numbered row styles (o & m are regular, r is right-aligned) */
	background-color: #e8e8ff; /* light lavender */
	color: #000000; /* default is black text */
	padding-left: 3px;
	padding-right: 3px;
	font-size: 10pt;
	font-family: "Lucida Console", serif !important;
	font-style: normal;
	font-weight: normal;
}
.n, .m {
	white-space: normal;
}
.p, .q {
	color: #000000; /* black text */
	font-weight: bold;
}

.r, .s, .e {
	text-align: right;
}
/* start of special styles for form elements */
fieldset{
	margin-bottom: 2em;
}
input, select, textarea {
	display: inline;
	background-color:#fc0; /* gold */
	color: #000000; /* black */
	font-weight: bold;
	font-family: "Lucida Sans Unicode", sans-serif !important;
	font-size: 0.8em;
	padding-left: 0.2em; /* move things away from the box edges */
	text-align: left;
	float: left;
}
label{
	float: left;
	text-align: right;
	padding-right: 1em;
	width: 35% ;
}
legend{
	font-size: 1.3em;
	padding-left: 1em;
	padding-right: 1em;
}
br{
	clear: left;
}
.bigbutton {
	float: none;
	background-color: #0cc; /* aquamarine */
	color: #000000; /* black */
	font-weight: bold;
	font-size: 150%;
	padding: 0.5em;
	display: block;
}
/* end of special styles for form elements */
/* end of text style info */
/*** start of custom styles for multibrowser float-fixing ***/
/* apply this class to any container element in order to prevent enclosed floats from 'sticking out' past the bottom */
.clearfix:after {
	content: ".";
	display: block;
	height: 0;
	clear: both;
	visibility: hidden;
}
/* fixes the problem with IE-mac */
.clearfix {
	display: inline-block;
}
/* Hides from IE-mac \*/
* html .clearfix {
	height: 1%;
}
.clearfix {
	display: block;
}
/* End hide from IE-mac */
/* end of custom styles for multibrowser float-fixing */

/* start of link style info */
a {
	color: #3333ff; /* a nice shade of blue -- looks great on top of the standard bluemosaic tile background */
	font-weight: bold;
	text-align: center;
}
a:hover { /* hover style -- when the cursor is over a link, change the link appearance. */
	background-color: #FFFF90; /* yellowish background */
	color: #000099; /* dark blue (same as table background) */
	text-decoration: none; /* seems reasonable to remove the underline for the visual alert */
}
/* end of link style info */

/* start of active state info */
a:link[id=current], a:visited[id=current] {
	background: #FFD700 !important; /* gold */
	color: #000099 !important;
	font-size: 100%;
}
/* end of active state info */
/* end of link style info */
/* end of RLV's CSS Document for the Vogel-Associates website */